Skip to content

Update



POST /api/v1/error_track/{issue_id}/update

Overview

Route Parameters

Parameter Name Type Required Description
issue_id string Y issue uuid
Allow empty string: False

Body Parameters

Parameter Name Type Required Description
assigner array Assignee
Example: ['acnt_xxx']
Allow empty: False
issueStatus string Status
Example: level
Allow empty: False
Allow empty string: False
Allowed values: ['Triage', 'Assigned', 'Working', 'Resolved', 'Ignored']

Parameter Details

Request Example

curl 'https://openapi.truewatch.com/api/v1/error_track/<issue_id>/update' \
-H 'DF-API-KEY: <DF-API-KEY>' \
-H 'Content-Type: application/json;charset=UTF-8' \
--data-raw '{"issueStatus":"Resolved"}' 

Response

{
    "code": 200,
    "content": {
        "workspaceUUID": "wksp_84c4a0044edc4f878ea88e4517659bda",
        "issueID": "04a0bb44b28e9ff1e01f87828af622b9",
        "assigner": [
            "acnt_3875a23398de4c92a5fc68a1c49a664b"
        ],
        "issueStatus": "Resolved",
        "extend": {
            "errorType": "*errors.errorString",
            "firstTime": 1770102900086,
            "statusChangeRecords": [
                {
                    "time": 1770103057,
                    "status": "Triage",
                    "operator": "sys"
                },
                {
                    "status": "Resolved",
                    "time": 1772788899,
                    "operator": "acnt_8b4bd2b8782646f3ba8f6554193f5997"
                }
            ]
        },
        "id": 39,
        "uuid": "isset_3572af454e1d48918612304f0f22237f",
        "status": 0,
        "creator": "sys",
        "updator": "acnt_8b4bd2b8782646f3ba8f6554193f5997",
        "createAt": 1769011233,
        "deleteAt": -1,
        "updateAt": 1772788899.2923098,
        "creatorInfo": {},
        "updatorInfo": {},
        "assignerInfo": [
            {
                "uuid": "acnt_3875a23398de4c92a5fc68a1c49a664b",
                "status": 0,
                "wsAccountStatus": 0,
                "username": "[email protected]",
                "name": "[email protected]",
                "iconUrl": "",
                "email": "[email protected]",
                "mobile": "17316567690",
                "acntWsNickname": ""
            }
        ],
        "duration": 2685842,
        "statusDuration": {
            "Triage": 1770103057,
            "Resolved": 1772788899
        }
    },
    "errorCode": "",
    "message": "",
    "success": true,
    "traceId": "379a4aad812a5b1677aef6740b1486fc"
}